## org.eclipse.xsd.impl
Class XSDParticleImpl.XSDNFA.TransitionImpl

    java.lang.Object
      org.eclipse.xsd.impl.XSDParticleImpl.XSDNFA.TransitionImpl

All Implemented Interfaces:
  XSDParticle.DFA.Transition

Enclosing class:
  XSDParticleImpl.XSDNFA

    public static class XSDParticleImpl.XSDNFA.TransitionImpl

extends java.lang.Object
implements XSDParticle.DFA.Transition

Field Summary
`protected XSDParticle.DFA.State` `state`
`protected XSDParticle` `xsdParticle`

Constructor Summary
`XSDParticleImpl.XSDNFA.TransitionImpl(XSDParticle xsdParticle, XSDParticle.DFA.State state)`

Method Summary
`boolean` `equals(java.lang.Object that)`
`XSDParticle` `getParticle()` Returns the particle associated with this transition.
`XSDParticle.DFA.State` `getState()` Returns the target state of this transition.
`int` `hashCode()`
`void` `setParticle(XSDParticle xsdParticle)`
`void` `setState(XSDParticle.DFA.State state)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xsdParticle

    protected XSDParticle xsdParticle

### state

    protected XSDParticle.DFA.State state

Constructor Detail

### XSDParticleImpl.XSDNFA.TransitionImpl

    public XSDParticleImpl.XSDNFA.TransitionImpl(XSDParticle xsdParticle,
                                                 XSDParticle.DFA.State state)

Method Detail

### getState

    public XSDParticle.DFA.State getState()

  Description copied from interface: `XSDParticle.DFA.Transition`
  Returns the target state of this transition.

  Specified by:
    `getState` in interface `XSDParticle.DFA.Transition`
  Returns:
    the target state of this transition.

### setState

    public void setState(XSDParticle.DFA.State state)

### getParticle

    public XSDParticle getParticle()

  Description copied from interface: `XSDParticle.DFA.Transition`
  Returns the particle associated with this transition.

  Specified by:
    `getParticle` in interface `XSDParticle.DFA.Transition`
  Returns:
    the particle associated with this transition.

### setParticle

    public void setParticle(XSDParticle xsdParticle)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.